Subject: Re: Signed-off-by & the law

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Oct 2025 14:04:42 -0700

"D. Ben Knoble" <[email-masked]> writes:

> Any contributors/users with an interest in law feel like taking a stab
> at answering "Is Git's signed-off-by legally useful" ?
> https://law.stackexchange.com/q/111158/26698
>
> Having a solid reference answer is usually a good thing, if one exists.

The meaning of Sign-off is left to the project that adopts the
trailer as its own convention.  Our SubmittingPatches document
governs our project and nothing else, and defines how we use the
trailer (namely, you sign if you certify your patch is being
submitted under DCO).

So the confusion by original questioner is understandable.  You
would be confused if you only see a Sign-off without project
context and you are forced to answer what it means, because see
above.